# Generated by Django 2.0.6 on 2018-06-20 10:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False, unique=True)),
                ('content', models.CharField(max_length=1000)),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False, unique=True)),
                ('title', models.CharField(max_length=255)),
                ('timeEvent', models.DateTimeField()),
                ('numberOfMember', models.IntegerField()),
                ('image', models.CharField(max_length=256)),
                ('content', models.CharField(max_length=1000)),
                ('location', models.CharField(max_length=1000)),
                ('like', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='EventLike',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('idVisitor', models.IntegerField()),
                ('idEvent', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='EventVisitor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('idVisitor', models.IntegerField()),
                ('idEvent', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Visitor',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(max_length=256)),
                ('image', models.CharField(max_length=256)),
            ],
        ),
        migrations.AddField(
            model_name='comment',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='meetup.Event'),
        ),
        migrations.AddField(
            model_name='comment',
            name='visitor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='meetup.Visitor'),
        ),
    ]
